-- Prosirivanje offset (koristi se za izracunavanje pozicije u slucaju B/BL)
library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

use work.constants.all;

entity offset_extender is
	port 
	(
		in_offset : in offs_t; -- Offset vrednost
    
		out_data : out ulv32_t -- Prosirena vrednost
	);
end entity;

architecture rtl of offset_extender is
    
begin

		out_data <= ulv32_t(resize(signed(in_offset), ulv32_t'length)); -- Mora se prosiriti kao signed posto se moze skakati unazad ili unapred
  
end architecture;
