-- alu fajl
library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

use work.alu_defs.all;
use work.logic_unit_defs.all;
use work.adder_defs.all;
use work.constants.all;

entity alu is
	generic
	(
		ADDER_TYPE : adder_t := RIPPLE_NO_ZERO_PROPAGATION -- tip dodavaca
	);
	port
	(
		in_s : in alu_in_signals; -- ulazni podaci
		out_s : out alu_out_signals -- izlazni podaci
	);
end entity;

-- ALU FAJL IMA 2 ARHTITEKTURE
---- SA CUSTOM ADDERIMA
---- OBICAN SA OBICNIM OPERACIJAMA
