library ieee;
use ieee.std_logic_1164.std_ulogic_vector;
use STD.textio.all;
use IEEE.std_logic_1164.all;
use ieee.numeric_std.all;

use work.Constants.all;

use std.textio.all;
use ieee.numeric_std.all;


entity SignExtender is
  port 
  (
    signal slv_16  : std_logic_vector( 15 downto 0);
    signal slv_32 : std_logic_vector(31 downto 0)
    );
end entity SignExtender;

architecture behavioral of SignExtender is
    
begin
    slv_32 <= std_logic_vector(resize(signed(slv_16), slv_32'length));
		dout<= idaout(31 downto 1);
end architecture;
