-- 1 bit full adder bez prenosa jedinice
library ieee;
use ieee.std_logic_1164.all;

use work.full_adder_defs.all;
use work.constants.all;

entity full_adder_1_bit_no_zero is
	port
	(
		in_s : in full_adder_1_bit_no_zero_in_signals; -- ulazni signali
		out_s : out full_adder_1_bit_no_zero_out_signals -- izlazni signali
	);
end entity;

architecture rtl of full_adder_1_bit_no_zero is

begin
    
	out_s.sum <= in_s.a xor in_s.b xor in_s.c;
	out_s.carry <= (in_s.a and in_s.b) or (in_s.b and in_s.c) or (in_s.c and in_s.a);
	 
end rtl;
