library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

use work.misc_defs.all;
use work.constants.all;

entity equals_zero is
	port
	(
		in_number : in ulv32_t;
		out_result : out bit_t
	);
end entity;

architecture rtl of equals_zero is

begin

	out_result <= '1' when (u32_t(in_number) = to_u32_t(0)) else '0';

end architecture;
