library ieee;
use ieee.std_logic_1164.all;

use work.constants.all;

package misc_defs is

component nor_reduce_zero is
	generic
	(
		NOR_REDUCTION_TYPE : nor_reduce_t := NOR_REDUCE
	);
	port
	(
		in_number : in ulv32_t;
		out_result : out bit_t
	);
end component;

component equals_zero is
	port
	(
		in_number : in ulv32_t;
		out_result : out bit_t
	);
end component;

end package;
